Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cycle
Version:        0.3.1
Release:        alt2_30
Summary:        Calendar program for women
License:        GPLv2+
URL:            http://cycle.sourceforge.net
Source0: http://prdownloads.sourceforge.net/cycle/cycle-%{version}.tar.bz2
# the below file collects additions from the Debian package
# source for that could be Debian page of cycle package
# http://packages.debian.org/unstable/utils/cycle
Source1:        cycle-msg.tar.bz2
Source2:        cycle-export.png
Source3:        cycle.desktop
Patch0:         cycle-build.patch.bz2
Patch1:         07_wxpython3.0.patch
BuildArch:      noarch
%if 0%{?rhel} >= 8 || 0%{?fedora} >= 19
Requires:       python-module-wx3.0
%else
Requires:       wxpython
%endif
BuildRequires:  python-devel >= 2.3 gettext gettext-tools, desktop-file-utils, /usr/bin/pathfix.py
Source44: import.info

%description
Cycle is a calendar for women. Given a cycle length or statistics
for several periods, it can calculate the days until
menstruation, the days of "safe" sex, the fertile period, and the
days to ovulations, and define the d.o.b. of a child. It allows
the user to write notes and helps to supervise the administration
of hormonal contraceptive tablets.

Multiple users allowed. Data is protected by a password for every
user.

NOTE: This program is not a reliable contraceptive method. It
does neither help to prevent sexual transmision diseases like
AIDS. It is just an electronic means of keeping track of some of
your medical data and extract some statistical conclusions from
them. You cannot consider this program as a substitute for your
gynecologist in any way.

%description -l ru_RU.UTF-8
    Возможности программы:
- по заданной продолжительности цикла или по набранной статистике
  за несколько периодов спрогнозировать дни начала менструаций
- рассчитать дни "безопасного" секса, фертильный период и день овуляции
- определить дату рождения ребенка
- позволяет вести заметки
- помогает контролировать прием противозачаточных гормональных
  таблеток

%prep
%setup -q
%setup -D -a 1 -q
%patch0 -p1 -b .MC-build
%patch1 -p1 -b .07_wxpython3.0
pathfix.py -pni "%{__python} %{py2_shbang_opts}" .

rm README.Debian

%build
python2 setup.py build
make -C msg

%if (0%{?fedora} && 0%{?fedora} < 20) || 0%{?rhel} < 8
%global docval %_docdir/%name-%version
%else
%global docval %{_docdir}
%endif

#---- set_dir.py ----
cat >set_dir.py <<EOF
#generated from cycle.spec
msg_dir="%_datadir/locale"
doc_dir="%{?docval}"
icons_dir="%_datadir/%name/icons"
bitmaps_dir="%_datadir/%name/bitmaps"
EOF

%install

# data files
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/{pixmaps,bitmaps}
install -p -m a+r,u+w icons/cycle.xpm \
    $RPM_BUILD_ROOT%{_datadir}/cycle/pixmaps/
install -p -m a+r,u+w bitmaps/* $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/
install -p -m a+r,u+w %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/export.png
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/icons/{large,mini}
cp -r -p icons/* $RPM_BUILD_ROOT%{_datadir}/cycle/icons/
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/applications/
install -p -m a+r,u+w %{SOURCE3} \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Python libraries
install -p -m a+rx,u+w cycle.py $RPM_BUILD_ROOT%{_datadir}/cycle/
install -p -m a+r,u+w cal_year.py dialogs.py p_rotor.py \
    save_load.py set_dir.py \
    $RPM_BUILD_ROOT%{_datadir}/cycle/

# cycle binary
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_bindir}
ln -sf ../share/cycle/cycle.py $RPM_BUILD_ROOT%{_bindir}/cycle
make -C msg install DESTDIR=$RPM_BUILD_ROOT%{_datadir}/

# manpage
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m a+r,u+w cycle.1 $RPM_BUILD_ROOT%{_mandir}/man1/

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name} || touch %{name}.lang

%files -f %{name}.lang
%{_bindir}/cycle
%doc README* COPYRIGHT CHANGELOG THANKS
%{_datadir}/cycle/
%{_datadir}/applications/cycle.desktop
%{_mandir}/man1/cycle*


%changelog
* Sun Apr 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_30
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_27
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_26
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_25
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_24
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_23
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_22
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_21
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_20
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_18
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_17
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_16
- update to new release by fcimport

* Tue Feb 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_14
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.3.1-alt2_13
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_13
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_12
- fc import

